Name:           rgbds
Version:        0.3.2
Release:        6%{?dist}
Summary:        A development package for the Game Boy, including an assembler

# See LICENSE for details
License:        DWPL and ISC and MIT and BSD
URL:            https://github.com/rednex/%{name}
Source0:        https://github.com/rednex/%{name}/archive/v%{version}.tar.gz

BuildRequires:  gcc byacc flex libpng-devel

%description
RGBDS (Rednex Game Boy Development System) is a free assembler/linker package
for the Game Boy and Game Boy Color.

It consists of:

* rgbasm (assembler)
* rgblink (linker)
* rgbfix (checksum/header fixer)
* rgbgfx (PNG‐to‐2bpp graphics converter)

%prep
%autosetup
# XXX due to https://github.com/rednex/rgbds/issues/186
make clean

%build
# XXX -Iinclude is due to https://github.com/rednex/rgbds/issues/187
%make_build Q="" CFLAGS="%{optflags} -Iinclude"


%install
make install PREFIX=%{buildroot}/usr/ bindir=%{buildroot}%{_bindir} mandir=%{buildroot}%{_mandir} BINMODE=0755 STRIP="" Q=""


%files
%{_bindir}/rgbasm
%{_bindir}/rgblink
%{_bindir}/rgbfix
%{_bindir}/rgbgfx
%{_mandir}/man1/rgbasm.1.*
%{_mandir}/man1/rgblink.1.*
%{_mandir}/man1/rgbfix.1.*
%{_mandir}/man1/rgbgfx.1.*
%{_mandir}/man5/rgbds.5.*
%{_mandir}/man5/rgbasm.5.*
%{_mandir}/man5/rgblink.5.*
%{_mandir}/man7/rgbds.7.*
%{_mandir}/man7/gbz80.7.*

%license LICENSE.md
%doc README.md



%changelog
* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jul 10 2017 Sanqui <gsanky@gmail.com> - 0.3.2-1
- Update to 0.3.2
- Add flex as a dependency
- Temporarily add a `make clean` step
- Fix `make` parameters to work with Makefile changes
- README -> README.md
- Add new manpages

* Sun Mar 26 2017 Sanqui <gsanky@gmail.com> - 0.2.5-2
- Add newlines between changelog entries in the specfile

* Sat Mar 25 2017 Sanqui <gsanky@gmail.com> - 0.2.5-1
- Patch the Makefie to prevent stripping symbols
- Enable debuginfo build

* Fri Mar  3 2017 Sanqui <gsanky@gmail.com> - 0.2.4-2
- Correct license (added BSD)
- Remove commented out Requires:
- Change Q= to Q=""
- Honor optflags

* Wed Mar  1 2017 Sanqui <gsanky@gmail.com> - 0.2.4-1
- Initial package
